rpc_unlink
Prev | SUN RPC subsystem | Next

## Name

rpc_unlink — remove a pipe

## Synopsis

`int rpc_unlink (` | struct dentry * | dentry`)`;

## Arguments

`dentry`

  dentry for the pipe, as returned from rpc_mkpipe

## Description

After this call, lookups will no longer find the pipe, and any attempts to read or write using preexisting opens of the pipe will return -EPIPE.

Prev | Up | Next
rpc_mkpipe | Home | rpcb_getport_sync